# Molpro HF optimisation

from chemsh       import *
from chemsh.utils import testutils

water = Fragment(coords="water.cjson")


molpro = Molpro(frag=water, method="hf", basis="3-21g")

opt = Opt(theory=molpro,
          algorithm="lbfgs", tolerance=0.0003, trust_radius="energy",
          maxcycle=100, maxene=100, maxstep=1.0)
          
opt.run()

ecalc = opt.result.energy

# Test result from Tcl-ChemShell
eref = -75.585959757937


testutils.validate(ecalc, eref)
